All Projects

ProjectCategoryTask TypePrioritySeveritySummaryStatusProgress  desc
PackagesStableBug ReportMediumMedium[virt-install] ERROR '_OsVariant' object has no attribu...Requires Testing
100%
Task Description

Trying to create a VM using virt-install (1.4.1-2.hyperbola2)

virt-install --connect qemu:///system \
--name debian \
--ram 1024 \
--disk path=/home/test/debian.img,size=50 \
--vcpus 2 \
--os-type linux \
--os-variant generic \
--network bridge=virbr0 \
--graphics none \
--console pty,target_type=serial \
--location 'http://ftp.nl.debian.org/debian/dists/stretch/main/installer-amd64/' \
--extra-args 'console=ttyS0,115200n8 serial'

This error shows up :
ERROR : ‘_OsVariant’ object has no attribute ‘urldistro’

I can’t create the VM.

PS : Error is not present on Debian Stretch with virt-install 1.4.0-5

Thanks for your help.

PackagesStableBug ReportVery LowHigh[ispell] require FHSRequires Testing
100%
Task Description

Description:

cant open /usr/local/lib/english.hash

Additional info:

Repository      : extra
Name            : ispell
Version         : 3.3.02-7
Description     : An interactive spell-checking program for Unix
Architecture    : x86_64
URL             : http://ficus-www.cs.ucla.edu/geoff/ispell.html
Licenses        : BSD
Groups          : None
Provides        : None
Depends On      : ncurses
Optional Deps   : None
Conflicts With  : None
Replaces        : None
Download Size   : 321.26 KiB
Installed Size  : 1336.00 KiB
Packager        : Evangelos Foutras <evangelos@foutrelis.com>
Build Date      : Sun Sep 6 12:07:06 2015
Validated By    : MD5 Sum  SHA-256 Sum  Signature

Steps to reproduce:

- Install package

ServicesPunBB BrandingBug ReportHighHighForum appearance bugsIn Progress
100%
Task Description

Some forum display errors:

  1. preview button with the orange border.
  1. Error message when logging in gray color making it difficult to read
PackagesStableBug ReportMediumCritical[torsocks] which: no getcapRequires Testing
90%
Task Description

Current torsocks version is broken.
It returns the following error when attempting to torify application :

which: no getcap
PackagesStableFreedom IssueVery LowCritical[conky] Some serious issuesAssigned
90%
Task Description

I’m writing here about the package Conky. It is the useful widget of system monitor into your desktop, but there are some serious issues:

Config variables

  • distribution outputs the string “Arch Linux” instead of “Hyperbola GNU/Linux-libre”.
  • eve requires users to use API for non-libre/free video game EVE Online, and should be removed.
  • All Beep Media Player (BMPx) related variables (including bmpx_album, bmpx_artist, bmpx_bitrate, bmpx_title, bmpx_track and bmpx_uri) are obselete and useless, and should be removed because the package BMPx isn’t present on Arch and Hyperbola official repositories but Arch User Repository (AUR).
  • [For Milky Way version 0.4.x only] All PulseAudio related variables (including if_pa_sink_muted, pa_sink_volume, pa_sink_volumebar, pa_sink_description, pa_card_name and pa_card_active_profile) are no longer used, and should be removed due replaced the default audio server with sndio.

Manual

  • Contains non-FDSG compliant distros.
  • Contains vague terminology.
  • Requires users to use API for non-libre/free weather network service(s) (including The Weather Channel).
PackagesAnyBackport RequestVery LowLowUblock Origin for IceapeIn Progress
90%
Task Description

The version I desire is this: 1.16.4.6

PackagesAnyBug ReportLowHigh[xfce4-power-manager] locking session issueRequires Testing
90%
Task Description

I probably should’ve mentioned this before, but if it is set to suspend when lid is closed, it should automatically lock. if the security option: lock screen with system is set to sleep is tweaked on it doesn’t lock always.

This is word for word what I wrote in the forums, but yeah... it is a problem say if someone wants to use your laptop without your permission and can do so.

But it is also a problem if you set it to lock instead because it is more prone to overheating when your not using it, and it doesn’t suspend quickly enough.

I have tried this many times and the same story can be told, again and again.

I think this issue should be considered high or critical merely because of the privacy risk if someone gets their hands on your laptop while its on. Even if you have been away... :/

I wonder if anyone else has this issue... well you guys will tell me I am sure. if critical doesn’t match what you think I am sure you will change it. ;)

PackagesAnyBug ReportMediumHigh[gstreamer] needed rebuildIn Progress
70%
Task Description

(gst-plugin-scanner:17336): GStreamer-WARNING : Failed to load plugin ‘/usr/lib/gstreamer-1.0/libgstzbar.so’: libzbar.so.0: cannot open shared object file: No such file or directory
(gst-plugin-scanner:17336): GStreamer-WARNING
: Failed to load plugin ‘/usr/lib/gstreamer-1.0/libgstfluidsynthmidi.so’: libfluidsynth.so.1: cannot open shared object file: No such file or directory

Repositorio : extra
Nombre : gstreamer
Versión : 1.12.0-1
Descripción : GStreamer open-source multimedia framework core library
Arquitectura : x86_64
URL : https://gstreamer.freedesktop.org/ Licencias : LGPL Grupos : Nada
Provee : Nada
Depende de : libxml2 glib2 libunwind libcap libelf
Dependencias opcionales : Nada
En conflicto con : Nada
Remplaza a : Nada
Tamaño de la descarga : 1897,45 KiB
Tamaño de la instalación : 17241,00 KiB
Encargado : Jan Alexander Steffens (heftig) jan.steffens@gmail.com Fecha de creación : jue 04 may 2017 14:13:05 -05
Validado por : Suma MD5 Suma SHA-256 Firma

PackagesStableBug ReportVery LowLowChemical uknown media typesResearching
50%
Task Description

I do not know how to solve this. Some of packages is causing this problem. I do not know which one.

Description:

(4/4) Updating the MIME type database...
Unknown media type in type ‘chemical/x-alchemy’ Unknown media type in type ‘chemical/x-cache’ Unknown media type in type ‘chemical/x-cactvs-ascii’ Unknown media type in type ‘chemical/x-cactvs-binary’ Unknown media type in type ‘chemical/x-cactvs-table’ Unknown media type in type ‘chemical/x-cdx’ Unknown media type in type ‘chemical/x-cdxml’ Unknown media type in type ‘chemical/x-chem3d’ Unknown media type in type ‘chemical/x-cif’ Unknown media type in type ‘chemical/x-cml’ Unknown media type in type ‘chemical/x-daylight-smiles’ Unknown media type in type ‘chemical/x-dmol’ Unknown media type in type ‘chemical/x-gamess-input’ Unknown media type in type ‘chemical/x-gamess-output’ Unknown media type in type ‘chemical/x-gaussian-input’ Unknown media type in type ‘chemical/x-gaussian-log’ Unknown media type in type ‘chemical/x-genbank’ Unknown media type in type ‘chemical/x-gulp’ Unknown media type in type ‘chemical/x-hin’ Unknown media type in type ‘chemical/x-inchi’ Unknown media type in type ‘chemical/x-inchi-xml’ Unknown media type in type ‘chemical/x-jcamp-dx’ Unknown media type in type ‘chemical/x-macromodel-input’ Unknown media type in type ‘chemical/x-mdl-molfile’ Unknown media type in type ‘chemical/x-mdl-rdfile’ Unknown media type in type ‘chemical/x-mdl-rxnfile’ Unknown media type in type ‘chemical/x-mdl-sdfile’ Unknown media type in type ‘chemical/x-mdl-tgf’ Unknown media type in type ‘chemical/x-mmcif’ Unknown media type in type ‘chemical/x-mol2’ Unknown media type in type ‘chemical/x-mopac-graph’ Unknown media type in type ‘chemical/x-mopac-input’ Unknown media type in type ‘chemical/x-mopac-out’ Unknown media type in type ‘chemical/x-msi-car’ Unknown media type in type ‘chemical/x-msi-hessian’ Unknown media type in type ‘chemical/x-msi-mdf’ Unknown media type in type ‘chemical/x-msi-msi’ Unknown media type in type ‘chemical/x-ncbi-asn1’ Unknown media type in type ‘chemical/x-ncbi-asn1-binary’ Unknown media type in type ‘chemical/x-ncbi-asn1-xml’ Unknown media type in type ‘chemical/x-pdb’ Unknown media type in type ‘chemical/x-shelx’ Unknown media type in type ‘chemical/x-vmd’ Unknown media type in type ‘chemical/x-xyz’ Unknown media type in type ‘all/all’ Unknown media type in type ‘all/allfiles’

PackagesAnySecurity IssueMediumMedium[cinepaint] unmaintained and unsupportableIn Progress
50%
Task Description

Remove “cinepaint” package since it’s unmaintained and unsupportable. Also, it doesn’t contains any file format support in the latest version (previous version supported multiple file formats).

I suggest use Krita (or Gimp 2.10) to edit 16bit and 32bit file formats or convert with imagemagick/graphicsmagick.

$ pacman -Si cinepaint
Repository      : community
Name            : cinepaint
Version         : 1:1.0.4-5
Description     : Sophisticated graphics manipulation programm supporting > 8bit pictures
Architecture    : x86_64
URL             : http://www.cinepaint.org
Licenses        : LGPL  GPL  MIT
Groups          : None
Provides        : None
Depends On      : gtk2  openexr  lcms  libxpm  fltk  ftgl  libxxf86vm
Optional Deps   : python2: for python plug-ins
                  gutenprint: for print plug-ins
                  ghostscript: for pdf plug-ins
Conflicts With  : None
Replaces        : None
Download Size   : 3.75 MiB
Installed Size  : 13.91 MiB
Packager        : Christian Hesse <arch@eworm.de>
Build Date      : Thu 28 Apr 2016 05:17:05 AM -03
Validated By    : MD5 Sum  SHA-256 Sum  Signature
PackagesAnyBug ReportDeferHigh[texlive-most] cannot export LaTeX - input csr10' fail...Deferred
50%
Task Description

I was using GNU Emacs, and tried to export LaTeX file or make a PDF. It seems that texlive package is broken, some fonts are missing.

The group named texlive-most cannot be properly installed.

admin→ pacsearch texlive

extra/texlive-bibtexextra 2016.43765-1 (texlive-most)
    TeX Live - Additional BibTeX styles and bibliography databases
extra/texlive-bin 2016.41290-12.hyperbola1 [installed]
    TeX Live binaries (Hyperbola rebranded)
extra/texlive-core 2016.43757-1.hyperbola2 (texlive-most) [installed]
    TeX Live core distribution, without nonfree add-on packages (Hyperbola rebranded)
extra/texlive-fontsextra 2016.43763-1.hyperbola2 (texlive-most) [installed]
    TeX Live - all sorts of extra fonts, without nonfree add-on packages
extra/texlive-formatsextra 2016.41438-3 (texlive-most) [installed]
    TeX Live - collection of extra TeX 'formats'
extra/texlive-games 2016.43415-1 (texlive-most)
    TeX Live - Setups for typesetting various board games, including chess
extra/texlive-genericextra 2016.43605-1 (texlive-most) [installed]
    TeX Live - mixed bag of generic macro packages and fonts
extra/texlive-htmlxml 2016.43769-1 (texlive-most)
    TeX Live - Packages to convert LaTeX to XML/HTML, and typeset XML/SGML
extra/texlive-humanities 2016.43711-1 (texlive-most)
    TeX Live - LaTeX packages for law, linguistics, social sciences, and humanities
extra/texlive-langchinese 2016.43669-1 (texlive-lang)
    TeX Live - Fonts and macro packages to typeset Chinese texts
extra/texlive-langcjk 2014.0-1
    TeX Live - CJK (Chinese, Japanese, Korean) metapackage
extra/texlive-langcyrillic 2016.43417-1 (texlive-lang)
    TeX Live - Fonts and macro packages to typeset Cyrillic texts
extra/texlive-langextra 2016.43739-1 (texlive-lang)
    TeX Live - Bundle of all extra language support
extra/texlive-langgreek 2016.43222-1 (texlive-lang)
    TeX Live - Fonts and support for typesetting Greek
extra/texlive-langjapanese 2016.43741-1 (texlive-lang)
    TeX Live - Fonts and macro packages to typeset Japanese texts
extra/texlive-langkorean 2016.43130-1 (texlive-lang)
    TeX Live - Fonts and macro packages to typeset Korean texts
extra/texlive-latexextra 2016.43768-1.hyperbola2 (texlive-most) [installed]
    TeX Live - Large collection of add-on packages for LaTeX, without nonfree add-on packages
extra/texlive-music 2016.43375-1 (texlive-most)
    TeX Live - Music typesetting packages
extra/texlive-pictures 2016.43767-1 (texlive-most) [installed]
    TeX Live - Packages for drawings graphics
extra/texlive-plainextra 2016.43137-1 (texlive-most) [installed]
    TeX Live - A collection of add-on packages and macros for plain TeX
extra/texlive-pstricks 2016.43710-1 (texlive-most) [installed]
    TeX Live - Additional PSTricks packages
extra/texlive-publishers 2016.43764-1 (texlive-most)
    TeX Live - LaTeX classes and packages for specific publishers
extra/texlive-science 2016.43747-1 (texlive-most)
    TeX Live - Typesetting for mathematics, natural and computer sciences

[~]
admin→ sudo pacman -S texlive-most

:: There are 15 members in group texlive-most:
:: Repository extra
   1) texlive-bibtexextra  2) texlive-core  3) texlive-fontsextra  4) texlive-formatsextra  5) texlive-games  6) texlive-genericextra
   7) texlive-htmlxml  8) texlive-humanities  9) texlive-latexextra  10) texlive-music  11) texlive-pictures  12) texlive-plainextra
   13) texlive-pstricks  14) texlive-publishers  15) texlive-science

Enter a selection (default=all):
warning: texlive-core-2016.43757-1.hyperbola2 is up to date -- reinstalling
warning: texlive-fontsextra-2016.43763-1.hyperbola2 is up to date -- reinstalling
warning: texlive-formatsextra-2016.41438-3 is up to date -- reinstalling
warning: texlive-genericextra-2016.43605-1 is up to date -- reinstalling
warning: texlive-latexextra-2016.43768-1.hyperbola2 is up to date -- reinstalling
warning: texlive-pictures-2016.43767-1 is up to date -- reinstalling
warning: texlive-plainextra-2016.43137-1 is up to date -- reinstalling
warning: texlive-pstricks-2016.43710-1 is up to date -- reinstalling
resolving dependencies...
looking for conflicting packages...

Packages (15) texlive-bibtexextra-2016.43765-1  texlive-core-2016.43757-1.hyperbola2  texlive-fontsextra-2016.43763-1.hyperbola2
              texlive-formatsextra-2016.41438-3  texlive-games-2016.43415-1  texlive-genericextra-2016.43605-1
              texlive-htmlxml-2016.43769-1  texlive-humanities-2016.43711-1  texlive-latexextra-2016.43768-1.hyperbola2
              texlive-music-2016.43375-1  texlive-pictures-2016.43767-1  texlive-plainextra-2016.43137-1  texlive-pstricks-2016.43710-1
              texlive-publishers-2016.43764-1  texlive-science-2016.43747-1

Total Download Size:     27.66 MiB
Total Installed Size:  1300.90 MiB
Net Upgrade Size:       110.88 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages...
 texlive-bibtexextra-2016.43765-1-any                   1541.4 KiB   275K/s 00:06 [###############################################] 100%
 texlive-games-2016.43415-1-any                          416.5 KiB   356K/s 00:01 [###############################################] 100%
 texlive-htmlxml-2016.43769-1-any                       1197.6 KiB   300K/s 00:04 [###############################################] 100%
 texlive-humanities-2016.43711-1-any                     299.0 KiB   664K/s 00:00 [###############################################] 100%
 texlive-music-2016.43375-1-any                           12.2 MiB   398K/s 00:31 [###############################################] 100%
 texlive-publishers-2016.43764-1-any                       9.2 MiB   471K/s 00:20 [###############################################] 100%
 texlive-science-2016.43747-1-any                          2.9 MiB   376K/s 00:08 [###############################################] 100%
(15/15) checking keys in keyring                                                  [###############################################] 100%
(15/15) checking package integrity                                                [###############################################] 100%
(15/15) loading package files                                                     [###############################################] 100%
(15/15) checking for file conflicts                                               [###############################################] 100%
(15/15) checking available disk space                                             [###############################################] 100%
:: Processing package changes...
( 1/15) reinstalling texlive-core                                                 [###############################################] 100%
>>> updmap custom entries should go into /etc/texmf/web2c/updmap-local.cfg
>>> fmtutil custom entries should go into /etc/texmf/web2c/fmtutil-local.cnf
( 2/15) installing texlive-bibtexextra                                            [###############################################] 100%
( 3/15) reinstalling texlive-fontsextra                                           [###############################################] 100%
( 4/15) reinstalling texlive-formatsextra                                         [###############################################] 100%
( 5/15) installing texlive-games                                                  [###############################################] 100%
( 6/15) reinstalling texlive-genericextra                                         [###############################################] 100%
( 7/15) installing texlive-htmlxml                                                [###############################################] 100%
( 8/15) reinstalling texlive-latexextra                                           [###############################################] 100%
( 9/15) installing texlive-humanities                                             [###############################################] 100%
Optional dependencies for texlive-humanities
    texlive-pictures: for package qtree [installed]
(10/15) installing texlive-music                                                  [###############################################] 100%
Optional dependencies for texlive-music
    python2: for scripts from the lilyglyphs packages [installed]
(11/15) reinstalling texlive-pictures                                             [###############################################] 100%
(12/15) reinstalling texlive-plainextra                                           [###############################################] 100%
(13/15) reinstalling texlive-pstricks                                             [###############################################] 100%
(14/15) installing texlive-publishers                                             [###############################################] 100%
(15/15) installing texlive-science                                                [###############################################] 100%
Optional dependencies for texlive-science
    python2-pygments: for pygmentex
:: Running post-transaction hooks...
(1/3) Updating TeXLive filename database...
(2/3) Updating TeXLive format files...

kpathsea: Running mktextfm csr10
mktextfm: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input csr10
This is METAFONT, Version 2.7182818 (TeX Live 2016/Hyperbola) (preloaded base=mf)

kpathsea: Running mktexmf csr10

! I can't find file `csr10'.
<*> ...e:=ljfour; mag:=1; nonstopmode; input csr10

Please type another input file name
! Emergency stop.
<*> ...e:=ljfour; mag:=1; nonstopmode; input csr10

Transcript written on mfput.log.
grep: csr10.log: No such file or directory
mktextfm: `mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input csr10' failed to make csr10.tfm.
kpathsea: Appending font creation commands to missfont.log.

kpathsea: Running mktextfm ecrm1000
mktextfm: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input ecrm1000
This is METAFONT, Version 2.7182818 (TeX Live 2016/Hyperbola) (preloaded base=mf)

kpathsea: Running mktexmf ecrm1000

! I can't find file `ecrm1000'.
<*> ...ljfour; mag:=1; nonstopmode; input ecrm1000

Please type another input file name
! Emergency stop.
<*> ...ljfour; mag:=1; nonstopmode; input ecrm1000

Transcript written on mfput.log.
grep: ecrm1000.log: No such file or directory
mktextfm: `mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input ecrm1000' failed to make ecrm1000.tfm.
kpathsea: Appending font creation commands to missfont.log.

kpathsea: Running mktextfm ecrm1000
mktextfm: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input ecrm1000
This is METAFONT, Version 2.7182818 (TeX Live 2016/Hyperbola) (preloaded base=mf)

kpathsea: Running mktexmf ecrm1000

! I can't find file `ecrm1000'.
<*> ...ljfour; mag:=1; nonstopmode; input ecrm1000

Please type another input file name
! Emergency stop.
<*> ...ljfour; mag:=1; nonstopmode; input ecrm1000

Transcript written on mfput.log.
grep: ecrm1000.log: No such file or directory
mktextfm: `mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input ecrm1000' failed to make ecrm1000.tfm.
kpathsea: Appending font creation commands to missfont.log.

kpathsea: Running mktextfm csr10
mktextfm: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input csr10
This is METAFONT, Version 2.7182818 (TeX Live 2016/Hyperbola) (preloaded base=mf)

kpathsea: Running mktexmf csr10

! I can't find file `csr10'.
<*> ...e:=ljfour; mag:=1; nonstopmode; input csr10

Please type another input file name
! Emergency stop.
<*> ...e:=ljfour; mag:=1; nonstopmode; input csr10

Transcript written on mfput.log.
grep: csr10.log: No such file or directory
mktextfm: `mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input csr10' failed to make csr10.tfm.
kpathsea: Appending font creation commands to missfont.log.

kpathsea: Running mktextfm csr10
mktextfm: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input csr10
This is METAFONT, Version 2.7182818 (TeX Live 2016/Hyperbola) (preloaded base=mf)

kpathsea: Running mktexmf csr10

! I can't find file `csr10'.
<*> ...e:=ljfour; mag:=1; nonstopmode; input csr10

Please type another input file name
! Emergency stop.
<*> ...e:=ljfour; mag:=1; nonstopmode; input csr10

Transcript written on mfput.log.
grep: csr10.log: No such file or directory
mktextfm: `mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input csr10' failed to make csr10.tfm.
kpathsea: Appending font creation commands to missfont.log.
fmtutil [ERROR]: running `pdftex -ini   -jobname=utf8mex -progname=utf8mex -enc *utf8mex.ini </dev/null' return status 1
fmtutil [ERROR]: return error due to options --strict
fmtutil [WARNING]: inifile pdfmex.ini for pdfmex/pdftex not found.
fmtutil [ERROR]: running `pdftex -ini   -jobname=csplain -progname=csplain -etex -enc csplain-utf8.ini </dev/null' return status 1
fmtutil [ERROR]: return error due to options --strict
fmtutil [ERROR]: running `pdftex -ini   -jobname=pdfjadetex -progname=pdfjadetex *pdfjadetex.ini </dev/null' return status 1
fmtutil [ERROR]: return error due to options --strict
fmtutil [ERROR]: running `pdftex -ini   -jobname=jadetex -progname=jadetex *jadetex.ini </dev/null' return status 1
fmtutil [ERROR]: return error due to options --strict
fmtutil [WARNING]: inifile mex.ini for mex/pdftex not found.
fmtutil [ERROR]: running `xetex -ini   -jobname=pdfcsplain -progname=pdfcsplain -etex csplain.ini </dev/null' return status 1
fmtutil [ERROR]: return error due to options --strict
fmtutil [ERROR]: running `pdftex -ini   -jobname=pdfcsplain -progname=pdfcsplain -etex -enc csplain-utf8.ini </dev/null' return status 1
fmtutil [ERROR]: return error due to options --strict
fmtutil [ERROR]: running `luatex -ini   -jobname=pdfcsplain -progname=pdfcsplain -etex csplain.ini </dev/null' return status 1
fmtutil [ERROR]: return error due to options --strict
error: command failed to execute correctly
(3/3) Updating TeXLive font maps...
[~]
a
ServicesFlyspray BrandingImplementation RequestMediumMediumAdd Hyperbola branding to HyperTaskIn Progress
40%
Task Description

Add Hyperbola branding to HyperTask such as HyperWiki and HyperForum for prolixity reasons.

Software DevelopmentHyperBKImplementation RequestVery HighCriticalDevelop a BSD descendant kernel for HyperbolaBSDIn Progress
30%
Task Description

Develop HyperBK (Hyper Berkeley Kernel), a BSD descendant kernel with GPL-compatible licenses preserved, non-compatible ones removed, and new code written under GPL-3 for HyperbolaBSD.

TODO:

  • Download OpenBSD kernel source code from OpenBSD siteDONE
  • Download LibertyBSD scripts to deblob and rebrand kernel from their scripts. → DONE
  • Push source to HyperBK’s project. → DONE
  • Rebrand OpenBSD kernel to HyperbolaBSD with LibertyBSD scripts. → DONE
  • Rebrand entire code (functions, variable, pointers, etc) under HyperbolaBSD → DONE
  • Remove files under non GPL-compatible licenses → DONE
  • Import code from another BSD systems under GPL-compatible licenses → IN PROGRESS
  • Write new code under GPL-3 → IN PROGRESS
  • Package HyperBK for HyperbolaBSD.

PATCHING NOTE

When the check concerns kernel, we obviously want to match with HyperbolaBSD.

Example of triplet check:	hyperbolabsd)
Example of uname -s check:	HyperbolaBSD)
Example of uname -r check:	0.1)
Example of C macro check:	defined(__HyperbolaBSD__)
PackagesAnyFeature RequestVery HighHigh[sage-notebook] contains systemd unit fileIn Progress
30%
Task Description

Description:

  • The Arch version of Sage-notebook from the snapshot used by Hyperbola comes with systemd support. Since Hyperbola follows the Init Freedom Campaign , systemd unit files removal is required. OpenRC init script replacement isn’t possible here because Sage-notebook is using a systemd unit file adapted for users instead of system users.

Additional info:
* package version(s)
* config and/or log files etc.

Repository      : community
Name            : sage-notebook
Version         : 0.13-4
Description     : Browser-based notebook interface for SageMath
Architecture    : any
URL             : http://www.sagemath.org
Licenses        : GPL3
Groups          : None
Provides        : None
Depends On      : sagemath  python2-twisted  python2-flask-oldsessions  python2-flask-openid  python2-flask-autoindex  python2-flask-babel  mathjax
Optional Deps   : python2-pyopenssl: to use the notebook in secure mode
Conflicts With  : None
Replaces        : None
Download Size   : 1625.00 KiB
Installed Size  : 9154.00 KiB
Packager        : Antonio Rojas <arojas@archlinux.org>
Build Date      : Thu 04 May 2017 06:12:28 PM -03
Validated By    : MD5 Sum  SHA-256 Sum  Signature
/usr/lib/systemd/user/sage.service is owned by sage-notebook 0.13-4

Steps to reproduce:

  • Install package.
ServicesWiki Page IssueImplementation RequestVery LowMediumAdd notification/subscription capabilities when a page ...Unconfirmed
0%
Task Description

After talking to Emulatorman, we think this would be a nice feature to add to our Hyperwiki to be able to subscribe to the original page in English to help tracking changing to the translated pages.
This implies to add the email notifications to the dokuwiki system

ServicesWiki Page IssueBug ReportVery LowHighHTML design on Wiki not readableUnconfirmed
0%
Task Description

The wiki pages look really too narrow and not readable on even half a screen of the laptop.

PackagesTestingImplementation RequestVery LowMedium[yaics] add packageDeferred
0%
Task Description

Yaics is a simple GNU social client written in C++ and Qt and licensed under the GNU GPL 3.0 (or later).

Please implement yaics as an optional package.

https://stigatle.no/yaics/

https://gitlab.com/stigatle/yaics

PackagesTestingImplementation RequestVery LowLow[sirikata] add packageDeferred
0%
Task Description

Sirikata a platform for virtual worlds.

Sirikata is a platform for virtual worlds. We provide a set of libraries and protocols which can be used to deploy a virtual world, as well as fully featured sample implementations of services for hosting and deploying these worlds.

Please implement sirikata as an optional package.

PackagesTestingImplementation RequestLowMedium[spacefm] add new packageIn Progress
0%
Task Description

Add SpaceFM File Manager for Hyperbola

Aur Package: spacefm Debian Package: spacefm

PackagesTestingBug ReportMediumMedium[emacs] crush after swayResearching
0%
Task Description

I have installed Hyperbola on two laptops. And I have noticed that after running sway and exiting out of sway, GNU emacs crushers on console. It is easy to repeat it:

1. Run sway
2. Exit sway or killall sway
3. Try running emacs on console, there will be crush
4. log out, log in, and emacs will work on console again

Yet it should not crush.

PackagesTestingImplementation RequestMediumMediumlinux-libre-lts-hypersec: New package with extra securi...Deferred
0%
Task Description

Description: Per a user request and to better secure the kernel, we can embed the cryptsetup and ciphers in the kernel. This would mean rather than exposed modules, they are built-in to the kernel and ready to use even without an intramfs.

To be embedded: ciphers aes, twofish, serpent; sha256, sha512 - and the necessary modules (don’t forget the block modes xts, lvm and cryptsetup ...)

Additionally, we could include USB Guard and any other features that meet our social contract and security outlook.

PackagesTestingReplace RequestVery LowMedium replace request: NetworkManager with wpa_cuteUnconfirmed
0%
Task Description

https://github.com/loh-tar/wpa-cute/releases

I know there are plans to remove NetworkManager. I wondered if we could replace it in 0.4 with Wpa_Cute. seen in the above link.

I haven’t been able to compile it, but it has been updated as recent as 2018 december (stable)

or 2019 january. :)

WPA_GUI doesn’t seem to work well for me, it runs into weird errors when I start it. Long story short, I run into this issue with wpa_supplicant when i do it manually:

https://wiki.archlinux.org/index.php/Wpa_supplicant:

Password-related problems

wpa_supplicant may not work properly if directly passed via stdin particularly long or complex passphrases which include special characters. This may lead to errors such as failed 4-way WPA handshake, PSK may be wrong when launching wpa_supplicant.

In order to solve this try using here strings wpa_passphrase <MYSSID> «< “<passphrase>” or passing a file to the -c flag instead:

# wpa_supplicant -i <interface> -c /etc/wpa_supplicant/example.conf

In some instances it was found that storing the passphrase cleartext in the psk key of the wpa_supplicant.conf network block gave positive results (see [2]). However, this approach is rather insecure. Using wpa_cli to create this file instead of manually writing it gives the best results most of the time and therefore is the recommended way to proceed.
Problems with eduroam and other MSCHAPv2 connections

This is my issue with wpa_supplicant sadly... and I do not know how to workaround that without a GUI.

but Wpa_Supplicant_gui does not fix it either, it doesn’t even load properly on my other laptop.

It says it cannot get the status of wpa_supplicant when I load it.

This could be an issue if you get rid of NetworkManager for some users.

So yeah, please take a look at my request okay? Wait for 0.3 to be released to add this if possible. I know you guys are overworked, etc... and it doesn’t need to be done now anyhow. ;)

PackagesStableBug ReportVery LowMedium[kodi-addons-visualization] addons don't workUnconfirmed
0%
Task Description

After installation, none of the addons is present in Kodi!

PackagesStableBug ReportMediumMedium[libusb] error when mounting USB memories on virtual ma...Researching
0%
Task Description

## Bug ##

libusb: error [_get_usbfs_fd] libusb couldn’t open USB device /dev/bus/usb/003/003: permission denied libusb: error [_get_usbfs_fd] libusb requires write access to USB device nodes.

Reference links: https://askubuntu.com/questions/526962/libusb-couldnt-open-usb-device-dev-bus-usb-002-006-permission-denied-libusb

PackagesStableBug ReportVery LowLowMupen64plus acts buggyUnconfirmed
0%
Task Description

the screen moves back and forth from left to right randomly, no matter what I do, any games any adapters do not work.

I wanted to have some fun with some old games...

Has anyone used mupen64plus successfully on hyperbola 0.2? I cannot get it to work without being completely confusing for the reasons I have mentioned and also, the glaring of the screen. Which only happens with mupen64plus...

PackagesStableBug ReportVery LowMedium[cowsay] perl-text-charwidth dependency missingUnconfirmed
0%
Task Description

cowsay (cowsay-3.03-9.hyperbola1) is missing perl-text-charwidth dependency

Error message :

“Can’t locate Text/CharWidth.pm in @INC (you may need to install the Text::CharWidth module) (@INC contains: /usr/lib/perl5/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/core_perl /usr/share/perl5/core_perl .) at /usr/bin/cowsay line 14.
BEGIN failed–compilation aborted at /usr/bin/cowsay line 14.”

After installing perl-text-charwidth, it works fine.

PackagesStableUpdate RequestHighHigh[qt5] upgrade Qt project to the 5.6 LTS version, requir...Deferred
0%
Task Description

Cannot mix incompatible Qt library (version 0×50800) with this library (version 0×50904)
Aborted

./Nextcloud-2.3.3-x86_64.AppImage: /usr/lib/libQt5Core.so.5: version `Qt_5.9’ not found (required by /tmp/.mount_NextclpprMnG/usr/bin/../lib/libqt5keychain.so.1

These two packages are directly affected by an older qt5...

Could you update all the qt packages to the LTS version available?

PackagesStableBug ReportMediumMedium[linux-libre-lts] [i915] Display freeze : hpd interrupt...Deferred
0%
Task Description

Hello,

I recently acquired a T400 Thinkpad with 1440×900 panel.
On this T400, I installed Hyperbola, just like on my x200 Thinkpad with 1280×800 panel.

Both Thinkpad are running the same Hyperbola installation :

Full disk encryption (with Libreboot) so both Thinkpad are using early KMS (MODULES=”i915” in /etc/mkinitcpio.conf)
Same kernel : linux-libre-lts (4.9.99 at the moment I’m writing this message)
video driver : modesetting
DE : xfce4 with xfwm4

On the Thinkpad x200, everything works great, no issue to report.

On the T400 though, the linux-libre-lts kernel, I’m getting random display freezes, when it happens, this message appears in dmesg :

hpd interrupt storm detected on connector hdmi-a-1

And the display (and sound) freezes for 10 seconds (sometimes more !)

As Hyperbola proposes linux-libre-lts kernel only, I installed latest linux-libre-lts (4.14.40) and linux-libre (4.16.8) from Parabola GNU/Linux repo.

Results :

With 4.14.40 : Same issue as with 4.9.99 kernel from Hyperbola repo.
With 4.16.8 : Issue is not present ! No more freeze !

I’m not sure how to proceed though. Would you be kind enough helping me to find which commit in i915 driver improved the situation ? If we find it, maybe it could be added as a patch to 4.9.x kernel series.
Or maybe it is something else.. I don’t have much experience, I can provide logs if needed.

Thanks for your help

PackagesStableBug ReportVery LowMedium[nfs-utils] missing idmapd.confUnconfirmed
0%
Task Description

Hello,

When mounting an NFS share, I get a warning about missing idmpad.conf

rpc.idmapd: Skipping configuration file "/etc/idmapd.conf": No such file or directory
4341: * Stopping idmapd ...

Debian includes a default config file for idmap :

[General]

Verbosity = 0
Pipefs-Directory = /run/rpc_pipefs
# set your own domain here, if id differs from FQDN minus hostname
# Domain = localdomain

[Mapping]

Nobody-User = nobody
Nobody-Group = nogroup
PackagesStableFeature RequestVery LowLow[digikam]: /usr/bin/cleanup_digikamdb: line 61: kreadco...Unconfirmed
0%
Task Description

Description:

I just guess that this script cleanup_digikamdb depends on kreadconfig which is not there.

Additional info:

extra/digikam 5.5.0-2.hyperbola1 [installed]

  Digital photo management application for KDE

Steps to reproduce:

$ cleanup_digikamdb

/usr/bin/cleanup_digikamdb: line 61: kreadconfig: command not found


                  Cleanup Databases v1.1 (digiKam )                    

————————————————————————-
/usr/bin/cleanup_digikamdb: line 61: kreadconfig: command not found
This program only handles SQLite databases.
[~]

PackagesStableFeature RequestVery LowLow[iceweasel-uxp] Request browser add-on: Privacy Setting...Unconfirmed
0%
Task Description

Name: Privacy Settings
Version: 0.2.6 (compatible Firefox version 52.* to 56.*)
Author: Jeremy Schomery (j_schomery)
Licence: Mozilla Public Licence (MPL) 2.0
Source code: Github
Description: Alter Firefox’s built-in privacy settings easily with a toolbar panel.

PackagesStableFeature RequestVery LowLow[iceweasel-uxp] Request browser add-on: Classic Theme R...Unconfirmed
0%
Task Description

Name: Classic Theme Restorer
Version: 1.7.7.2 (compatible Firefox version 45.* to 56.*)
Author: Aris (Aris-t2)
Licence: Mozilla Public Licence (MPL) 2.0
Source code: Github
Description: Squared tabs, application menu, add-on bar, small button view and many more ‘old’ features for ‘Firefox 29-56’, not for Firefox 57+!

PackagesStableBug ReportVery LowVery LowGajim "Unable to run gpg - it may not be available" Assigned
0%
Task Description

Description:

Gajim XMPP Client wont start after installing python2-gnupg.

Additional info:
* package version(s)

  community/python2-gnupg 0.4.0-2
  extra/gajim 0.16.8-1.hyperbola2

* config and/or log files etc.

/usr/lib/python2.7/site-packages/gajim/common/gajim.py

Steps to reproduce:

With Gajim working is not possible to assign an OpenPGP key because it needs a wrapper. Therefore python2-gnupgp package is needed. But after installing python2-gnupgp, Gajim doesn’t start. The following output is displayed from the console:


07/21/2018 18:00:41 (E) gajim.c.gnupg Unable to run gpg - it may not be available.
Traceback (most recent call last):

File "/usr/lib/python2.7/site-packages/gnupg.py", line 757, in __init__
  p = self._open_subprocess(["--version"])
File "/usr/lib/python2.7/site-packages/gnupg.py", line 832, in _open_subprocess
  startupinfo=si)
File "/usr/lib/python2.7/subprocess.py", line 394, in __init__
  errread, errwrite)
File "/usr/lib/python2.7/subprocess.py", line 1047, in _execute_child
  raise child_exception

OSError: [Errno 2] No such file or directory
Traceback (most recent call last):

File "gajim.py", line 513, in <module>
  interface.run()
File "/usr/lib/python2.7/site-packages/gajim/gui_interface.py", line 2704, in run
  self.roster = roster_window.RosterWindow()
File "/usr/lib/python2.7/site-packages/gajim/roster_window.py", line 6611, in __init__
  connection_zeroconf.ConnectionZeroconf(gajim.ZEROCONF_ACC_NAME)
File "/usr/lib/python2.7/site-packages/gajim/common/zeroconf/connection_zeroconf.py", line 68, in __init__
  CommonConnection.__init__(self, name)
File "/usr/lib/python2.7/site-packages/gajim/common/connection.py", line 150, in __init__
  self.gpg = gpg.GnuPG()
File "/usr/lib/python2.7/site-packages/gajim/common/gpg.py", line 37, in __init__
  gnupg.GPG.__init__(self, gpgbinary=gajim.GPG_BINARY, use_agent=use_agent)
File "/usr/lib/python2.7/site-packages/gnupg.py", line 761, in __init__
  raise OSError(msg)

OSError: Unable to run gpg - it may not be available.


After doing some search, the issue is that gajim.py is trying to call ‘gpg’ as ‘gpg1’.

# grep -n GPG_BINARY /usr/lib/python2.7/site-packages/gajim/common/gajim.py
162:GPG_BINARY = ‘gpg1’

By replacing ‘gpg’ instead of ‘gpg1’, Gajim will start normally with OpenPGP feature available.

Maybe a newer revision of python2-gnupg is required or maybe a small patch in the current package.

PackagesStableBug ReportVery LowHighjava cacerts file is emptyUnconfirmed
0%
Task Description

/etc/ssl/certs/java/cacerts has 0 entries, resulting in ssl handshake errors in java applications.

Package versions:
* ca-certificates 20170307-1
* ca-certificates-utils 20170307-1

PackagesStableBug ReportVery LowMediumPCManFM display different behaviorUnconfirmed
0%
Task Description

Description:

The problem is pcmanfm is not showing any partitions on the left side. It only show Home Folder, Desktop, Applications, Filesystem and the ext. hdd. If I include dbus-launch pcmanfm -d command, it show the other partitions on the left side of window but not ext. hdd. The drive/partitions are not encrypted.
I do have dbus, gvfs & ntfs-3g installed and active services.

Additional info:
* package version(s)
PCManFM 1.2.5 - using LibFM ver. 1.2.5

Steps to reproduce:
Original install from the livecd with LXDE but I may run Openbox standalone and get the same behavior with either environment. I do not have this issue running other distros.

PackagesStableFeature RequestVery HighHigh[hiawatha]: remove systemd files, provide openrcResearching
0%
Task Description

Description:

Hiawatha contains only systemd files.

It shall be removed and openrc shall be provided

PackagesStableBug ReportLowMediumGarbled display with xfce4-terminal (terminfo)Unconfirmed
0%
Task Description

A very nasty bug I wasn’t able to find an answer to.
I compiled stuff (buildroot) using menuconfig, the menu display was fine in xfce4-terminal (See screenshot #1)
I restarted the config a few days later with the same command :

$ make menuconfig

and this time the display was messed up (See screenshot #2)

After investigation, I noticed a directory (filled with stuff) have been created in my home folder :

.terminfo

I don’t know why. But anyway, if I delete it, then the display is ok again.
I noticed that if I use good old xterm terminal, then the display is fine even if the .terminfo directory is present. (it uses “xterm” instead of xterm-256color)

But, with xfce4-terminal (and others, I tried with gnome-terminal, sakura..), the display is messed up if the .terminfo directory is present in my home folder.

I also noticed that if I run the command in a screen session, the issue is not present.

(I open xfce4-terminal)

$ screen
$ printenv TERM
screen.xterm-256color
$ make menuconfig (or htop, or other program using ncurses)

= display ok

but with default :

(I open xfce4-terminal)

$ printenv TERM
xterm-256color
make menuconfig (or htop, or other program using ncurses)

= display messed up if .terminfo directory is present

So I have no idea why this .terminfo directory is generated. What could trigger its generation ? Is that an issue with ncurses or something else ?

Thanks for your help

PackagesStableImplementation RequestVery LowLow[materia-theme] add packageUnconfirmed
0%
Task Description

A Material-like flat theme for GTK+ 2/3, and GNOME shell, released under a GNU General Public Licence (GNU GPL) 2 and later.

PackagesStableBug ReportVery LowLowGNOME cannot lock screen while using LightDMUnconfirmed
0%
Task Description

Description:
Screen locking does not work in GNOME, either with keyboard shortcuts or from the menu, while using LightDM.

Additional info:
* According to this thread[1] this bug has been patched in Ubuntu. Please consider applying this patch.[2]

Steps to reproduce:
# pacman -S gnome lightdm lightdm-gtk-greeter
# rc-update add lightdm default
Reboot, log in to a GNOME session and attempt to lock screen.

[1] https://www.reddit.com/r/gnome/comments/9klvej/is_there_a_way_to_get_the_screen_to_lock_with/ [2] https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-shell/tree/debian/patches/ubuntu/lightdm-user-switching.patch

PackagesStableBug ReportVery LowMediumMouse curse become invisible from beginning in kde5 pla...Unconfirmed
0%
Task Description

Description:
I install plasma and xorg to my Hyperbola GNU/Linux-libre in Arch-way.
However, after reboot, everything is fine except mouse curse.

I attempt to reinstall plasma-desktop and reboot. But nothing changes.

In attachment, the mouse stop at backward, however it is invisible.

Additional info:
* package version(s)
plasma-desktop == 5.9.5-1
xorg-server == 1.19.6-2.hyperbola1
sddm == 0.14.0-2.hyperbola6

* config and/or log files etc.

Steps to reproduce:

PackagesStableReplace RequestVery LowMediumPackage ossp has got systemd dependenciesUnconfirmed
0%
Task Description

Description: Concurrent package ossp in version 1.3.2-15 has got dependencies to systemd, which is contradicting the whole distribution and the used INIT-system. Therefore my request to port this to OpenRC!

Additional info:
* package version(s) 1.3.2-15

PackagesStableBug ReportVery LowHigh[devede] xorriso unsupported option '-dvd-video'Assigned
0%
Task Description

Description:

Devede fails to convert transcoded videos to iso format with libburn-1.5.0.

Drive current: -outdev 'stdio:/home/heckyel/movie/movie.iso'
Media current: stdio file, overwriteable
Media status : is blank
Media summary: 0 sessions, 0 data blocks, 0 data,  334g free
xorriso : FAILURE : -as genisofs: Unsupported option '-dvd-video'
xorriso : NOTE : -return_with SORRY 32 triggered by problem severity FAI

Additional info:

$ pacman -Si devede
Repositorio               : community
Nombre                    : devede
Versión                   : 4.8.8-1
Descripción               : A program to create VideoDVDs and CDs
Arquitectura              : any
URL                       : http://www.rastersoft.com/programas/devede.html
Licencias                 : GPL3
Grupos                    : Nada
Provee                    : Nada
Depende de                : mencoder  ffmpeg  dvdauthor  vcdimager  cdrkit  ttf-dejavu
                            gtk3  python-cairo  python-gobject  python-setuptools
Dependencias opcionales   : mplayer
                            vlc
                            mpv
En conflicto con          : Nada
Remplaza a                : Nada
Tamaño de la descarga     : 1640,88 KiB
Tamaño de la instalación  : 3331,00 KiB
Encargado                 : Sergej Pupykin <pupykin.s+arch@gmail.com>
Fecha de creación         : vie 10 feb 2017 05:06:37 -05
Validado por              : Suma MD5  Suma SHA-256  Firma

Link’s code:

- https://gitlab.com/rastersoft/devedeng/blob/master/src/devedeng/mkisofs.py#L61

- https://gitlab.com/rastersoft/devedeng/blob/master/src/devedeng/genisoimage.py#L61

Steps to reproduce:

- Install devede
- Create video DVD disc

PackagesStableBug ReportVery LowMedium [kodi] "The Movie Database" scraper doesn't workUnconfirmed
0%
Task Description

With kodi 17.1-2.hyperbola1 “The Movie Database” scraper doesn’t work. The error message is :

"Unable to connect to remote server"
PackagesStableUpdate RequestVery LowMedium[cantarell-fonts] update package version to 0.111Unconfirmed
0%
Task Description

Prior version 0.0.25 and below are outdated.

Since version 0.100 and later, there are some changes being redesigned from scratch, added three new weights (including extra bold, light and thin) but not italic or oblique styles, AppStream metadata translations from contributors, and more.

See the version history releases for more details: https://gitlab.gnome.org/GNOME/cantarell-fonts/raw/master/NEWS

PackagesStableFreedom IssueVery LowHighGNU Privacy Assistant (GPA)Unconfirmed
0%
Task Description

Hello Hyperbola!

GPA gives out the following errors upon opening the app.

First:

```
The GPGME library returned an unexpected
error at confdialog.c:1459. The error was:

    Unsupported protocol

This is either an installation problem or a bug in GPA.
GPA will now try to recover from this error.
```

Second:

```
Fatal Error in GPGME library
(invoked from file options.c, line 302):

    Unsupported protocol

The application will be terminated

What can I do to overcome these errors?
```
As this issue makes gpa app completely unusable, I have set this bug report’s severity as high.

I also request the admin to set priority to high due to it’s severity.

Thank you!

Regards,
RG.

PackagesStableBug ReportVery LowMedium[arm-unknown-linux-gnueabi-gcc] not working; needs prop...Unconfirmed
0%
Task Description

Description:
I believe the arm-unknown-linux-gnueabi-gcc package to be broken as described here.

Additional info:
* package version(s) - arm-unknown-linux-gnueabi-gcc - all versions

Steps to reproduce:
I don't think "steps to reproduce" to be relevant in this case. My forum topic linked above already contains all the necessary info on the subject :) However, one could try compiling glibc and busybox as described here. Yes, these are instructions for debian-like systems. They have to be adapted accordingly

PackagesStableBug ReportVery LowHigh[vlc] DVB : cache_block stream error: cannot pre fill b...Unconfirmed
0%
Task Description

Current VLC version (3.0.4-3.hyperbola1.backports1) fails to play DVB stream using a RTL2832 usb dongle.

I start the playlist like this :

vlc channels.conf

but it returns the following error :

cache_block stream error: cannot pre fill buffer

Also, it asks the user to be in “video” group to access DVB device, this was not needed before with Hyperbola 0.2.9. User being in “wheel” was enough.
Anyway, even after adding my user to video group, it still fails with “cache_block stream error: cannot pre fill buffer”

This is not an issue with my DVB adapter or driver. rtl2832 is correctly loaded. And I can play the channels.conf playlist just fine with “mpv” or “mplayer”.
Also, the channels.conf used works just fine with a more recent version of VLC on an other system (Manjaro) so something is broken with the current VLC used.

Maybe a package bump would fix the issue.

PackagesStableBug ReportVery LowVery Low[spamassassin] has different directory permissions than...Deferred
0%
Task Description

Description:
The /usr/sbin directory in spamassassin has permissions 755
https://git.hyperbola.info:50100/packages/extra.git/tree/spamassassin/PKGBUILD#n88

And ‘filesystem’ sets it to 750
https://git.hyperbola.info:50100/packages/core.git/tree/filesystem/PKGBUILD#n135

So when installing spamassassin, pacman throws a warning

warning: directory permissions differ on /usr/sbin/
filesystem: 750  package: 755

Additional info:
* spamassassin 3.4.2-1.hyperbola2

PackagesStableBug ReportVery LowVery Low[postfix] has different directory permissions than 'fil...Deferred
0%
Task Description

Description:
The /usr/sbin directory in postfix has permissions 755
https://git.hyperbola.info:50100/packages/extra.git/tree/postfix/PKGBUILD#n115

And ‘filesystem’ sets it to 750
https://git.hyperbola.info:50100/packages/core.git/tree/filesystem/PKGBUILD#n135

So when installing postfix, pacman throws a warning

warning: directory permissions differ on /usr/sbin/
filesystem: 750  package: 755

Additional info:
* postfix-3.2.2-1.hyperbola6

PackagesStableBug ReportVery LowMedium[sshguard] violates Hyperbola packaging standardsUnconfirmed
0%
Task Description

Description:
The sshguard package should have its /usr/bin/sshguard executable in /usr/sbin, has systemd service files and no OpenRC init script

Additional info:
* sshguard-2.0.0-4
* when I run `sshguard`:

# sshguard
/usr/bin/sshguard: line 87: /usr/bin/journalctl: No such file or directory

* default /etc/sshguard.conf

LOGREADER="LANG=C /usr/bin/journalctl -afb -p info -n1 -t sshd -o cat"
BLACKLIST_FILE=120:/var/db/sshguard/blacklist.db
BACKEND="/usr/lib/sshguard/sshg-fw-iptables"

(commenting the first line temporally solves the issue)

Showing tasks 1 - 50 of 490 Page 1 of 101 - 2 - 3 - 4 - 5 - Last >>

Available keyboard shortcuts

Tasklist

Task Details

Task Editing